import request from '@/utils/request'

// 查询会员轨迹信息列表
export function listLocus(query) {
  return request({
    url: '/account/locus/list',
    method: 'get',
    params: query
  })
}

// 查询会员轨迹信息详细
export function getLocus(uid) {
  return request({
    url: '/account/locus/' + uid,
    method: 'get'
  })
}

// 新增会员轨迹信息
export function addLocus(data) {
  return request({
    url: '/account/locus',
    method: 'post',
    data: data
  })
}

// 修改会员轨迹信息
export function updateLocus(data) {
  return request({
    url: '/account/locus',
    method: 'put',
    data: data
  })
}

// 删除会员轨迹信息
export function delLocus(uid) {
  return request({
    url: '/account/locus/' + uid,
    method: 'delete'
  })
}
